.applications-grid {
  position: relative;
  padding-inline: var(--container-padding-inline);
  z-index: 1;
  max-width: var(--content-wrapper-max-width, 100vw);
  margin-inline: auto;
}

.applications-grid .grid-wrapper {
  display: grid;
  grid-template-columns: 1fr;
  height: fit-content;
  gap: var(--layout-gap);
}

.grid-wrapper .application {
  min-width: 33.33%;
  position: relative;
  height: 350px;
}

.grid-wrapper .application img {
  width: 100%;
  display: block;
  height: 100%;
  object-fit: cover;
  border-radius: 0 4rem 0 4rem;
}

.grid-wrapper .application .text-wrapper {
  color: var(--color-black-100);
  background-image: radial-gradient(circle at bottom right, var(--color-black-0), transparent);
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 30px;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: end;
  justify-content: end;
}

.grid-wrapper .application h4 {
  margin: 0;
  text-decoration: underline;
  text-underline-offset: 10px;
}

.grid-wrapper .application h4.purple {
  text-decoration-color: var(--color-purple-75);
}

.grid-wrapper .application h4.blue {
  text-decoration-color: var(--color-blue-75);
}

.grid-wrapper .application h4.orange {
  text-decoration-color: var(--color-orange-75);
}

.grid-wrapper .application h4.black {
  text-decoration-color: var(--color-black-100);
}

/* Scrollable layout
======================================================== */

@media (max-width: 768px) {
  .applications-grid .grid-wrapper {
    position: relative;
    left: 50%;
    right: 50%;

    display: flex;
    flex-direction: row;

    width: 100vw;
    max-width: 100vw;
    margin-inline: -50vw;
    padding: var(--space-0);

    gap: var(--section-gap);

    overflow-x: scroll;
    scrollbar-width: none;

    cursor: grab;
    user-select: none;
    -webkit-user-select: none;
  }

  @supports not (scrollbar-width: auto) {
    .applications-grid .grid-wrapper::-webkit-scrollbar {
      display: none;
    }
  }

  .applications-grid .grid-wrapper::after {
    content: "";
    padding-right: 0.02px;
  }

  .applications-grid .grid-wrapper > .application {
    display: block;
    flex-shrink: 0;
    width: calc(100% - var(--section-gap));
    margin-inline: var(--space-0);
    scroll-snap-align: center;
  }

  .applications-grid .grid-wrapper > .application:first-child {
    margin-left: calc(
      50vw - 50% + max(var(--container-padding-inline), env(safe-area-inset-right))
    );
  }

  .applications-grid .grid-wrapper > .application:last-child:not(:first-child) {
    margin-left: var(--space-0);
    margin-right: calc(
      50vw - 50% + max(var(--container-padding-inline), env(safe-area-inset-right))
    );
  }
  
  .applications-grid .scroll-visual {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: var(--layout-gap);
    margin-top: var(--space-400);
  }

  .applications-grid .scroll-visual .scroll-item {
    width: var(--space-300);
    height: 0.625rem;
    flex: 0 1 auto;
    border-radius: var(--radius-pill);
    background-color: var(--color-black-10);
  }

  .applications-grid .scroll-visual .scroll-item.active {
    background-color: var(--color-orange-75);
  }
}

@media (min-width: 768px) {
  .applications-grid .grid-wrapper {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .applications-grid .grid-wrapper .application {
    grid-column: auto / span 1;
  }
}

@media (min-width: 992px) {
  .applications-grid .grid-wrapper {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }

  .applications-grid .grid-wrapper .application:nth-child(4n+1),
  .applications-grid .grid-wrapper .application:nth-child(4n+4) {
    grid-column: auto / span 1;
  }

  .applications-grid .grid-wrapper .application:nth-child(4n+2),
  .applications-grid .grid-wrapper .application:nth-child(4n+3) {
    grid-column: auto / span 2;
  }
}

/* Background
======================================================== */

.applications-grid .background {
  position: absolute;
  inset: 0;
  z-index: -1;
}

.applications-grid .background > * {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.applications-grid .background .background_image {
  position: absolute;
  inset: 0;
  z-index: -1;
}

.applications-grid .background::before,
.applications-grid .background::after {
  content: "";
  position: absolute;
  left: 0;

  width: 100%;
  height: var(--background-fade-height);

  pointer-events: none;
  user-select: none;

  background: linear-gradient(
    rgba(237, 237, 230, 0),
    rgb(237, 237, 230)
  );
}

.applications-grid .background::before {
  top: 0;
  rotate: 180deg;
}

.applications-grid .background::after {
  bottom: 0;
}

.applications-grid .background video {
  transform-style: preserve-3d;
  pointer-events: none;
}

@media (prefers-reduced-motion) {
  .applications-grid .background video {
    display: none;
  }
}

/* Layout
======================================================== */

.applications-grid .container {
  max-width: var(--content-wrapper-max-width, 100vw);
  margin-block: var(--spacing-offset, var(--space-1200));
  margin-inline: auto;
  padding-inline: var(--container-padding-inline);

  display: grid;
  align-items: center;
  gap: var(--section-gap);
}

.applications-grid .container .media {
  order: -1;
}

@media (min-width: 768px) {
  .applications-grid .text {
    width: 75%;
  }
}

@media (min-width: 992px) {
  .applications-grid .container {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .applications-grid.media_right .media {
    order: initial;
  }

  .applications-grid.media_left .container .text {
    order: 2;
    grid-column: 2;
  }

  .applications-grid .text {
    width: 100%;
  }
}

/* Content
======================================================== */

.applications-grid .tagline {
  margin-bottom: var(--space-0);

  color: var(--color-orange-100);
  font-family: "kepler-3-display-variable", serif;
  font-style: italic;

  font-size: var(--fs-tagline-lg-size);
  line-height: var(--fs-tagline-lg-line-height);
  font-weight: var(--fs-tagline-lg-weight, normal);
  letter-spacing: var(--fs-tagline-lg-letter-spacing, normal);
}

.applications-grid .tagline.purple {
  color: var(--color-purple-75);
}

.applications-grid .tagline.blue {
  color: var(--color-blue-75);
}

.applications-grid .tagline.orange {
  color: var(--color-orange-75);
}

.applications-grid .tagline.black {
  color: var(--color-black-100);
}

.applications-grid .title {
  margin-bottom: var(--space-300);

  font-size: var(--fs-title-lg-size);
  line-height: var(--fs-title-lg-line-height);
  font-weight: var(--fs-title-lg-weight, normal);
  letter-spacing: var(--fs-title-lg-letter-spacing, normal);
}

.applications-grid .paragraph {
  display: block;
  margin-bottom: var(--space-600);
}

.applications-grid .paragraph,
.applications-grid .paragraph > *:not(h1, h2, h3, h4, h5, h6) {
  font-size: var(--fs-paragraph-lg-size);
  line-height: var(--fs-paragraph-lg-line-he